Summary: OCaml web framework for ocsigenserver
Name:    ocaml-eliom
Version: 3.0.3
Release: %mkrel 2
Source0: http://ocsigen.org/download/eliom-%{version}.tar.gz
License: LGPLv2 with linking exception
Group:   Development/OCaml
Url:     http://ocsigen.org/eliom/
BuildRequires: camlp4
BuildRequires: ocaml
BuildRequires: ocaml-findlib
BuildRequires: ocaml-type-conv  
BuildRequires: ocaml-ocsigenserver-devel
BuildRequires: js_of_ocaml
BuildRequires: ocaml-calendar-devel
BuildRequires: ocaml-lwt
BuildRequires: ocaml-react-devel
BuildRequires: ocaml-tyxml-devel
BuildRequires: ocaml-deriving-ocsigen-devel
BuildRequires: ocaml-ssl-devel
Requires: ocaml-js_of_ocaml
Requires: ocaml-lwt
Requires: ocaml-cryptokit
Requires: ocaml-tyxml
Requires: ocaml-sqlite3
Requires: ocaml-camlzip
Requires: ocaml-react
Requires: ocaml-pcre

%description
Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml and the ocsigenserver.


%package devel
Summary: Development files for deriving functions from type declarations
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel 
The %{name}-devel package contains the headers and native code libraries to
develop applications that use %{name}.

%package -n eliom-destillery
Summary: Eliom programming tool for Ocaml web application development
Group:   Development/OCaml
Requires: %{name} = %{version}-%{release}

%description -n eliom-destillery
Eliom allows one to easily develop sophisticated client/server Web
applications using OCaml and the ocsigenserver.  The eliom-destillery
program creates scaffolds for Eliom projects.

%prep
%setup -q -n eliom-%{version}

%build
sh configure \
   --with-preempt \
   --enable-natdynlink \
   --prefix %{_prefix} \
   --bindir %{buildroot}%{_bindir} \
   --mandir %{_mandir} \
   --docdir %{_docdir}
make


%install
mkdir -p %{buildroot}/%{_libdir}/ocaml/eliom
make install TEMPROOT=%{buildroot} BINDIR=%{_bindir}


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/eliom
%{_bindir}/eliomopt
%{_bindir}/eliomc
%{_bindir}/eliomcp
%{_bindir}/eliomdep
%{_bindir}/js_of_eliom*
%{_libdir}/ocaml/eliom/META
%dir %{_libdir}/ocaml/eliom/server
%{_libdir}/ocaml/eliom/server/*.cma
%{_libdir}/ocaml/eliom/server/*.cmi
%{_libdir}/ocaml/eliom/server/*.cmxs
%dir %{_libdir}/ocaml/eliom/syntax
%{_libdir}/ocaml/eliom/syntax/*.cmo
%dir %{_libdir}/ocaml/eliom/client
%{_libdir}/ocaml/eliom/client/*.cma
%{_libdir}/ocaml/eliom/client/*.cmi
%{_libdir}/ocaml/eliom/client/*.cmo
%{_libdir}/ocaml/eliom/client/*.so
%{_libdir}/ocaml/eliom/client/*.js
%{_mandir}/man1/eliomc.1*
%{_mandir}/man1/eliomcp.1*
%{_mandir}/man1/eliomopt.1*
%{_mandir}/man1/eliomdep.1*
%{_mandir}/man1/js_of_eliom.1*

%files devel
%{_libdir}/ocaml/eliom/server/*.a
%{_libdir}/ocaml/eliom/server/*.cmxa
%{_libdir}/ocaml/eliom/server/*.mli
%{_libdir}/ocaml/eliom/client/*.a
%{_libdir}/ocaml/eliom/client/*.mli

%files -n eliom-destillery
%{_bindir}/eliom-destillery
%dir %{_datadir}/eliom
%{_datadir}/eliom/destillery/basic/Makefile*
%{_datadir}/eliom/destillery/basic/PROJECT_NAME.*
%{_datadir}/eliom/destillery/basic/README
%{_datadir}/eliom/destillery/basic/static!css!PROJECT_NAME.css
%{_mandir}/man1/eliom-destillery.1*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.3-2.mga3
+ Revision: 361291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 malo <malo> 3.0.3-1.mga3
+ Revision: 331026
- new version 3.0.3
- add new subpackage for eliom-destillery
- remove BuildRequires on ocamlduce

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml
    - new rpm group for ocaml

* Thu Jun 28 2012 malo <malo> 2.2.2-1.mga3
+ Revision: 264764
- update to 2.2.2

  + blue_prawn <blue_prawn>
    - new version 2.1.1b

* Sat Feb 25 2012 malo <malo> 2.0.2-1.mga2
+ Revision: 214221
- imported package ocaml-eliom

